### Hierarchy

- CopyleaksSubmissionModel
  - CopyleaksFileSubmissionModel
    - CopyleaksFileOcrSubmissionModel

## Index

### Constructors

- constructor

### Properties

- base64
- filename
- properties

## Constructors

### constructor

- new CopyleaksFileSubmissionModel(base64: string, filename: string, properties: SubmissionProperties): CopyleaksFileSubmissionModel

- Overrides CopyleaksSubmissionModel.constructor

  - Defined in src/models/submissions/CopyleaksFileSubmissionModel.ts:28

  #### Parameters

  - ##### base64: string

    A base64 data string of a file. If you would like to scan plain text, encode it as base64 and submit it.

  - ##### filename: string

    The name of the file as it will appear in the Copyleaks scan report Make sure to include the right extension for your filetype.

  - ##### properties: SubmissionProperties

    Check inner properties for more details.

  #### Returns CopyleaksFileSubmissionModel

## Properties

### base64

base64: string

### filename

filename: string

### properties

properties: SubmissionProperties

Inherited from CopyleaksSubmissionModel.properties

Generated using TypeDoc